TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.DestinationBridgeInfo Class Reference

This class replaces the old BridgeInfo class to represent bridges between destinations. More...

## Public Member Functions
| DestinationBridgeInfo (DestinationType sourceType, string sourceName, DestinationType targetType, string targetName, string selector)
| Create a DestinationBridgeInfo object that will bridge between two destinations with an optional selector. More...
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
DestinationType | SourceType`[get]`
| Get the type of the destination that is the source for this bridge. More...
string | SourceName`[get]`
| Get the name of the destination that is the source for this bridge. More...
DestinationType | TargetType`[get]`
| Get the type of the destination that is the target for this bridge. More...
string | TargetName`[get]`
| Get the name of the destination that is the target for this bridge. More...
string | Selector`[get]`
| Get the selector used by this bridge. More...

## Detailed Description

This class replaces the old BridgeInfo class to represent bridges between destinations.

DestinationBridgeInfo objects can be created and then passed to an Admin object to create or update the bridge on the EMS server. DestinationBridgeInfo objects represent a bridge between a single source and a single target unlike the old BridgeInfo objects which had one source but could have multuple targets. To modify a DestinationBridgeInfo object it is necessary to delete the old bridge and create a new one.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.DestinationBridgeInfo.DestinationBridgeInfo | ( | DestinationType | sourceType,
|  | string | sourceName,
|  | DestinationType | targetType,
|  | string | targetName,
|  | string | selector
| ) |  |
| inline

Create a DestinationBridgeInfo object that will bridge between two destinations with an optional selector.

The bridge is not created on the server until the object is passed to Admin.createDestinationBridge().

Parameters

  sourceType | the type of the source destination, either DestinationType.Queue or DestinationType.Topic. DestinationType
  sourceName | the name of the source destination
  targetType | the type of the target destination, either DestinationType.Queue or DestinationType.Topic. DestinationType
  targetName | the name of the target destination
  selector | the selector (can be null)

## Member Function Documentation

override string TIBCO.EMS.ADMIN.DestinationBridgeInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

string TIBCO.EMS.ADMIN.DestinationBridgeInfo.Selector
| get

Get the selector used by this bridge.

Only messages that pass this selector will be bridged from the source destination to the target destination.

Returns
  the selector or null if one is not set

string TIBCO.EMS.ADMIN.DestinationBridgeInfo.SourceName
| get

Get the name of the destination that is the source for this bridge.

Returns
  the source's name

DestinationType TIBCO.EMS.ADMIN.DestinationBridgeInfo.SourceType
| get

Get the type of the destination that is the source for this bridge.

Returns
  the source's type, either DestinationType.Queue or DestinationType.Topic. DestinationType

string TIBCO.EMS.ADMIN.DestinationBridgeInfo.TargetName
| get

Get the name of the destination that is the target for this bridge.

Returns
  the target's name

DestinationType TIBCO.EMS.ADMIN.DestinationBridgeInfo.TargetType
| get

Get the type of the destination that is the target for this bridge.

Returns
  the target's type, either DestinationType.Queue or DestinationType.Topic. DestinationType